using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 团组成本 司兼导资料表
    /// </summary>
    [SugarTable("Res_CarGuides")]
    public class Res_CarGuides : EntityBase
    {
        /// <summary>
        /// 国家
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Country { get; set; }

        /// <summary>
        /// 城市
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string City { get; set; }

        /// <summary>
        /// 服务类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string ServiceType { get; set; }

        /// <summary>
        /// 车类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string CarType { get; set; }

        /// <summary>
        /// 用车报价
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "decimal(10,2)")]
        public decimal Offer { get; set; }

        /// <summary>
        /// 司兼导费用
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "decimal(10,2)")]
        public decimal CGCost { get; set; }

        /// <summary>
        /// 用车时长
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int RuningTime { get; set; }

        /// <summary>
        /// 车超时费用/时
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "decimal(10,2)")]
        public decimal OvertimeFee { get; set; }

        /// <summary>
        /// 司兼导超时费/时
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal CGOvertimeFee { get; set; }

        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(10)")]
        public string Currency { get; set; }

    }
}
